Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook2DateContext Class Reference

`#include <FictionBook2MetadataContext.h>`

Inheritance diagram for libebook::FictionBook2DateContext:

## Public Member Functions
| FictionBook2DateContext (FictionBook2ParserContext *parentContext, const char *name)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent.
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent.
FictionBook2Collector * | getCollector () const
| Get the collector.
FictionBook2ParserContext * | getParentContext () const
| Get the parent context.
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0

## Private Member Functions
| FictionBook2DateContext (const FictionBook2DateContext &)
FictionBook2DateContext & | operator= (const FictionBook2DateContext &)
FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element.
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
void | endOfAttributes () override
| Signalize the end of attributes.
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.

## Private Attributes
const char *const | m_name

## Constructor & Destructor Documentation

## ◆ FictionBook2DateContext() [1/2]

libebook::FictionBook2DateContext::FictionBook2DateContext | ( | const FictionBook2DateContext & |  | ) |
| private

## ◆ FictionBook2DateContext() [2/2]

libebook::FictionBook2DateContext::FictionBook2DateContext | ( | FictionBook2ParserContext * | parentContext,
|  | const char * | name )

## Member Function Documentation

## ◆ attribute()

void libebook::FictionBook2DateContext::attribute | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData * | ns,
|  | const char * | value )
| override private virtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FictionBook2XMLParserContext.

## ◆ element()

FictionBook2XMLParserContext * libebook::FictionBook2DateContext::element | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData & | ns )
| override private virtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfAttributes()

void libebook::FictionBook2DateContext::endOfAttributes | ( |  | ) |
| inline override private virtual

Signalize the end of attributes.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfElement()

void libebook::FictionBook2DateContext::endOfElement | ( |  | ) |
| override private virtual

Signalize the end of an element.

Implements libebook::FictionBook2XMLParserContext.

## ◆ operator=()

FictionBook2DateContext & libebook::FictionBook2DateContext::operator= | ( | const FictionBook2DateContext & |  | ) |
| private

## ◆ startOfElement()

void libebook::FictionBook2DateContext::startOfElement | ( |  | ) |
| override private virtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FictionBook2XMLParserContext.

## ◆ text()

void libebook::FictionBook2DateContext::text | ( | const char * | value | ) |
| override private virtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libebook::FictionBook2XMLParserContext.

## Member Data Documentation

## ◆ m_name

const char* const libebook::FictionBook2DateContext::m_name
| private

Referenced by text().

The documentation for this class was generated from the following files:

- FictionBook2MetadataContext.h
- FictionBook2MetadataContext.cpp